NANO(1)

NOME
nano - Nano's ANOther editor, inspirado no Pico

SINOPSE
nano [opções] [[+linha[,coluna]] arquivo]...

nano [opções] [[+[crCR](/|?)string] arquivo]...

DESCRIÇÃO
nano é um editor pequeno e amigável. Ele copia a aparência do Pico, mas é um software livre e implementa vários recursos que faltam no Pico, tais como: abrir vários arquivos, rolagem por linha, desfazer/refazer, coloração de sintaxe, numeração de linha e quebra automática de linhas longas.

When giving a filename on the command line, the cursor can be put on a specific line by adding the line number with a plus sign (+) before the filename, and even in a specific column by adding it with a comma. (Negative numbers count from the end of the file or line.) The cursor can be put on the first or last occurrence of a specific string by specifying that string after +/ or +? before the filename. The string can be made case sensitive and/or caused to be interpreted as a regular expression by inserting c and/or r after the + sign. These search modes can be explicitly disabled by using the uppercase variant of those letters: C and/or R. When the string contains spaces, it needs to be enclosed in quotes. To give an example: to open a file at the first occurrence of the word "Foo", you would do:

    nano +c/Foo arquivo

Como um caso especial: se em vez de um nome de arquivo um travessão (-) for fornecido, nano lerá os dados da entrada padrão.

EDIÇÃO
Inserir texto e mover-se em um arquivo é simples: digitar as letras e usar as teclas normais de movimento do cursor. Os comandos são inseridos usando as teclas Control (^) e Alt ou Meta (M-). Digitar ^K exclui a linha atual e a coloca no buffer-de-transferência. ^Ks consecutivos colocarão todas as linhas deletadas juntas no buffer-de-transferência. Qualquer movimento do cursor ou execução de qualquer outro comando fará com que o próximo ^K sobrescreva o buffer-de-transferência. A ^U irá colar o conteúdo atual do buffer-de-transferência na posição atual do cursor.

When a more precise piece of text needs to be cut or copied, you can mark its start with ^6, move the cursor to its end (the marked text will be highlighted), and then use ^K to cut it, or M-6 to copy it to the cutbuffer. You can also save the marked text to a file with ^O, or spell check it with ^T^T.

Em alguns terminais, o texto também pode ser selecionado mantendo pressionada a tecla Shift enquanto usa as teclas de seta. Manter a tecla Ctrl ou Alt pressionada também aumentará o passo. Qualquer movimento do cursor sem a tecla Shift pressionada cancelará essa seleção.

Any valid Unicode code point can be inserted into the buffer by typing M-V followed by the hexadecimal digits of the code point (concluded with <Space> or <Enter> when it are fewer than six digits). A literal control code (except ^J) can be inserted by typing M-V followed by the pertinent keystroke.

As duas linhas na parte inferior da tela mostram alguns comandos importantes; a ajuda embutida (^G) lista todos os disponíveis. As combinações de teclas padrão podem ser alteradas por meio de um arquivo nanorc -- veja nanorc(5).

OPÇÕES

-A, --smarthome
    Torna a tecla Home mais inteligente. Quando Home é pressionada em qualquer lugar, exceto no início de caracteres que não sejam de espaço em branco em uma linha, o cursor irá pular para aquele início (para frente ou para trás). Se o cursor já estiver nessa posição, ele saltará para o verdadeiro início da linha.

-B, --backup
    Ao salvar um arquivo, faz uma cópia reserva da versão anterior dele, usando o nome do arquivo atual com o sufixo um til (~).

-C diretório, --backupdir=diretório
    Faz e mantém não apenas um arquivo reserva, mas faz e mantém um com numeração única sempre que um arquivo é salvo -- quando os backups estiverem habilitados (-B). Os arquivos numerados exclusivamente são armazenados no diretório especificado.

-D, --boldtext
    Para a interface, usa negrito em vez de vídeo reverso. Isso será sobrescrito ao definir as opções titlecolor, statuscolor, keycolor, functioncolor, numbercolor e/ou selectedcolor em seu arquivo nanorc. Veja nanorc(5).

-E, --tabstospaces
    Convert each typed tab to spaces -- to the number of spaces that a tab at that position would take up.

-F, --multibuffer
    Lê um arquivo em um novo buffer por padrão.

-G, --locking
    Usa trava de arquivos no estilo vim ao editar arquivos.

-H, --historylog
    Salva as últimas cem strings de pesquisa e strings de substituição e comandos executados, para que possam ser facilmente reutilizados em sessões posteriores.

-I, --ignorercfiles
    Não procura no nanorc do sistema nem no nanorc do usuário.

-J número, --guidestripe=número
    Desenha uma faixa vertical na coluna fornecida para ajudar a avaliar a largura do texto. (A cor da faixa pode ser alterada com set stripecolor em seu arquivo nanorc.)

-K, --rawsequences
    Interpret escape sequences directly, instead of asking ncurses to translate them. (If you need this option to get some keys to work properly, it means that the terminfo terminal description that is used does not fully match the actual behavior of your terminal. This can happen when you ssh into a BSD machine, for example.) Using this option disables nano's mouse support.

-L, --nonewlines
    Não adiciona automaticamente uma nova linha quando o texto não terminar com uma. (Isso pode fazer com que você salve arquivos de texto não POSIX.)

-M, --trimblanks
    Recorta o espaço em branco à direita da linha quebrada quando ocorrer a quebra automática automática ou quando o texto for justificado.

-N, --noconvert
    Desabilita a conversão automática de arquivos do formato DOS/Mac.

-O, --bookstyle
    Ao justificar, trata qualquer linha que comece com um espaço em branco como o início de um parágrafo (a menos que o recuo automático esteja ativado).

-P, --positionlog
    Para os 200 arquivos mais recentes, registra a última posição do cursor e coloque-o nessa posição novamente ao reabrir o arquivo.

-Q "regex", --quotestr="regex"
    Define a expressão regular para corresponder à parte de citação de uma linha. O valor padrão é "^([ \t]*([!#%:;>|}]|//))+". (Observa que \t representa uma tabulação real.) Isso torna possível reajustar blocos de texto citado ao redigir e-mail e embrulhar blocos de comentários de linha ao escrever o código-fonte.

-R, --restricted
    Modo restrito: não lê ou escreve em nenhum arquivo não especificado na linha de comando. Isso significa: não lê ou escreve arquivos de histórico; não permite suspensão; não permite verificação ortográfica; não permite que um arquivo seja anexado, adicionado ou salvo com um nome diferente se já houver um; e não faz uma cópia de arquivos. O modo restrito também pode ser ativado invocando nano com qualquer nome começando com "r" (por exemplo, "rnano").

-S, --softwrap
    Exibe em várias linhas de tela, linhas que excedem a largura da tela. (Você pode fazer com que essa quebra automática ocorra em espaços em branco em vez de rudemente na borda da tela, usando também --atblanks.) (A opção curta antiga, -$, foi descontinuado.)

-T número, --tabsize=número
    Define o tamanho (largura) de um tab para número colunas. O valor de número deve ser maior que 0. O valor padrão é 8.

-U, --quickblank
    Make status-bar messages disappear after 1 keystroke instead of after 20. Note that option -c (--constantshow) overrides this. When option --minibar or --zero is in effect, --quickblank makes a message disappear after 0.8 seconds instead of after the default 1.5 seconds.

-V, --version
    Mostra o número da versão atual e sai.

-W, --wordbounds
    Detecta os limites das palavras de maneira diferente, tratando os caracteres de pontuação como parte de uma palavra.

-X "caracteres", --wordchars="caracteres"
    Especifica quais outros caracteres (além dos alfanuméricos normais) devem ser considerados como parte de uma palavra. Ao usar esta opção, você provavelmente deseja omitir -W (--wordbounds).

-Y nome, --syntax=nome
    Especifica o nome do realce de sintaxe a usar entre os definidos nos arquivos nanorc.

-Z, --zap
    Deixa um Backspace ou Delete não modificado apagar a região marcada (ao invés de um único caractere, e sem afetar o buffer-de-transferência).

-a, --atblanks
    Ao fazer quebra de linha suave, quebra as linhas nos espaços em branco em vez de sempre na borda da tela.

-b, --breaklonglines
    Aplica automaticamente quebra rígida de linha atual quando ela se tornar muito longa. (Esta opção é o oposto de - (--nowrap) -- a última opção entra em vigor.)

-c, --constantshow
    Mostra constantemente a posição do cursor na barra de status. Observe que esta opção substitui -U (--quickblank).

-d, --rebinddelete
    Interpreta as teclas Delete e Backspace de maneira diferente para que Backspace e Delete funcionem corretamente. Você só deve usar esta opção quando em seu sistema o Backspace atua como Delete ou Delete atua como Backspace.

-e, --emptyline
    Não usa a linha abaixo da barra de título, deixando-a totalmente em branco.

-f arquivo, --rcfile=arquivo
    Lê apenas este arquivo para definir as opções do nano, em vez de ler os arquivos do nanorc do sistema e do usuário.

-g, --showcursor
    Torna o cursor visível no navegador de arquivos (colocando-o no item destacado) e no visualizador de ajuda. Útil para usuários de braille e pessoas com visão deficiente.

-h, --help
    Mostra um resumo das opções de linha de comando disponíveis e sai.

-i, --autoindent
    Recua automaticamente uma linha recém-criada com o mesmo número de tabulações e/ou espaços que a linha anterior (ou como a próxima linha se a linha anterior for o início de um parágrafo).

-j, --jumpyscrolling
    Rola o conteúdo do buffer por meia tela em vez de por linha.

-k, --cutfromcursor
    Faz o comando "Recort txt" (normalmente ^K) cortar da posição atual do cursor até o final da linha, em vez de cortar a linha inteira.

-l, --linenumbers
    Exibe os números das linhas à esquerda da área de texto. (Qualquer linha com uma âncora também recebe uma marca na margem.)

-m, --mouse
    Habilita o suporte ao mouse, se disponível para o seu sistema. Quando habilitado, os cliques do mouse podem ser usados para posicionar o cursor, definir a marca (com um clique duplo) e executar atalhos. O mouse funcionará no X Window System e no console quando o gpm estiver em execução. O texto ainda pode ser selecionado arrastando, mantendo pressionada a tecla Shift.

-n, --noread
    Trata qualquer nome fornecido na linha de comando como um novo arquivo. Isso permite que nano grave em encadeamentos nomeados: ele começará com um buffer em branco e gravará no pipe quando o usuário salvar o "arquivo". Desta forma, nano pode ser usado como um editor em combinação com, por exemplo, gpg sem ter que gravar dados confidenciais no disco primeiro.

-o diretório, --operatingdir=diretório
    Define o diretório operacional. Isso faz com que nano configure algo semelhante a um chroot.

-p, --preserve
    Preserva as sequências XON e XOFF (^Q e ^S) para que sejam capturadas pelo terminal.

-q, --indicator
    Exibe uma "barra de rolagem" no lado direito da janela de edição. Mostra a posição da janela de visualização no buffer e quanto do buffer é coberto pela janela de visualização.

-r número, --fill=número
    Define a largura alvo para justificar e empacotamento automático neste número de colunas. Se o valor for 0 ou menos, a quebra ocorrerá na largura da tela menos número colunas, permitindo que o ponto de quebra varie junto com a largura da tela se a tela for redimensionada. O valor padrão é -8.

-s "programa [argumento ...]", --speller="programa [argumento ...]"
    Usa este comando para realizar a verificação ortográfica e correção, em vez de usar o corretor integrado que chama hunspell(1) ou spell(1).

-t, --saveonexit
    Save a changed buffer without prompting (when exiting with ^X).

-u, --unix
    Salva um arquivo por padrão no formato Unix. Isso substitui o comportamento padrão do nano de salvar um arquivo no formato que ele tinha. (Esta opção não tem efeito quando você também usa --noconvert.)

-v, --view
    Basta visualizar o arquivo e proibir a edição: modo somente leitura. Este modo permite ao usuário abrir também outros arquivos para visualização, a menos que --restricted também seja fornecido.

-w, --nowrap
    Não aplica automaticamente a quebra rígida na linha atual quando ela se tornar muito longa. Este é o padrão. (Esta opção é o oposto de -b (--breaklonglines) -- o último dado entra em vigor.)

-x, --nohelp
    Não mostra as duas linhas de ajuda na parte inferior da tela.

-y, --afterends
    Faz com que Ctrl+Right e Ctrl+Delete parem no final das palavras em vez de no início.

-!, --magic
    Quando nem o nome do arquivo nem sua primeira linha fornecem uma pista, tente usar libmagic para determinar a sintaxe aplicável.

-%, --stateflags
    Usa o canto superior direito da tela para mostrar alguns sinalizadores de estado: I ao recuar automaticamente, M quando a marca está ativada, L ao aplica quebra rígida (quebrando linhas longas), R ao gravar uma macro e S ao aplicar quebra suave. Quando o buffer é modificado, um asterisco (*) é mostrado após o nome do arquivo no centro da barra de título.

-_, --minibar
    Suppress the title bar and instead show information about the current buffer at the bottom of the screen, in the space for the status bar. In this "minibar" the filename is shown on the left, followed by an asterisk if the buffer has been modified. On the right are displayed the current line and column number, the code of the character under the cursor (in Unicode format: U+xxxx), the same flags as are shown by --stateflags, and a percentage that expresses how far the cursor is into the file (linewise). When a file is loaded or saved, and also when switching between buffers, the number of lines in the buffer is displayed after the filename. This number is cleared upon the next keystroke, or replaced with an [i/n] counter when multiple buffers are open. The line plus column numbers and the character code are displayed only when --constantshow is used, and can be toggled on and off with M-C. The state flags are displayed only when --stateflags is used.

-0, --zero
    Hide all elements of the interface (title bar, status bar, and help lines) and use all rows of the terminal for showing the contents of the buffer. The status bar appears only when there is a significant message, and disappears after 1.5 seconds or upon the next keystroke. With M-Z the title bar plus status bar can be toggled. With M-X the help lines.

ALTERNADORES
Várias das opções acima também podem ser ativadas e desativadas enquanto o nano está em execução. Por exemplo, ML alterna a quebra rígida de linhas longas, MS alterna a quebra suave, MN alterna os números das linhas, MM alterna o mouse, MI recuo automático e MX as linhas de ajuda. Veja no final do texto de ajuda ^G uma lista completa.

O botão de alternância M-X é especial: ele funciona em todos os menus, exceto no visualizador de ajuda e no linter. Todos os outros botões de alternância funcionam apenas no menu principal.

ARQUIVOS
Quando --rcfile é fornecido, nano vai ler apenas o arquivo especificado para definir suas opções e sintaxes e combinações de teclas. Sem essa opção, nano irá ler dois arquivos de configuração: primeiro o nanorc do sistema (se existir), e depois o nanorc do usuário (se existir), ou ~/.nanorc ou $XDG_CONFIG_HOME/nano/nanorc ou ~/.config/nano/nanorc, o que for encontrado primeiro. Veja nanorc(5) para obter mais informações sobre o possível conteúdo desses arquivos.

Veja /usr/share/nano/ e /usr/share/nano/extra/ para obter as definições de cores de sintaxe disponíveis.

NOTAS
Option -z (--suspendable) has been removed. Suspension is enabled by default, reachable via ^T^Z. (If you want a plain ^Z to suspend nano, add bind ^Z suspend main to your nanorc.)

Se nenhum comando alternativo do verificador ortográfico for especificado na linha de comando nem em um dos arquivos nanorc, nano verificará a variável de ambiente SPELL para um.

Em alguns casos, o nano tentará despejar o buffer em um arquivo de emergência. Isso acontecerá principalmente se nano receber um SIGHUP ou SIGTERM ou ficar sem memória. Ele escreverá o buffer em um arquivo chamado nano.save se o buffer ainda não tiver um nome, ou adicionará um sufixo ".save" ao nome do arquivo atual. Se um arquivo de emergência com esse nome já existir no diretório atual, ele adicionará ".save" mais um número (por exemplo, ".save.1") ao nome do arquivo atual para torná-lo único. No modo multibuffer, nano escreverá todos os buffers abertos em seus respectivos arquivos de emergência.

BUGS
A escrita e reprodução de macros de teclado funcionam corretamente apenas em um emulador de terminal, não em um console Linux (VT), porque o último não distingue por padrão as teclas de seta modificadas das não modificadas.

Relate quaisquer outros bugs que você venha a encontrar via:
https://savannah.gnu.org/bugs/?group=nano.

Quando o nano travar, ele salvará todos os buffers modificados em arquivos .save de emergência. Se você consegue reproduzir a falha e deseja obter um backtrace, defina a variável de ambiente NANO_NOCATCH.

SITE
https://nano-editor.org/

VEJA TAMBÉM
nanorc(5)

/usr/share/doc/nano/ (ou equivalente em seu sistema)

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).